package com.mortals.xhx.module.certificate.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.certificate.model.vo.CertificateIndustryVo;
/**
 * 行业目录实体对象
 *
 * @author zxfei
 * @date 2023-05-14
 */

public class CertificateIndustryEntity extends CertificateIndustryVo {
    private static final long serialVersionUID = 1L;

    /**
     * 父级id
     */
    private Long parentId;
    /**
     * 行业名称
     */
    private String industryName;
    /**
     * 站点id
     */
    private Long siteId;



    public CertificateIndustryEntity(){}
    /**
     * 获取 父级id
     * @return Long
     */
    public Long getParentId(){
        return parentId;
    }
    /**
     * 设置 父级id
     * @param parentId
     */
    public void setParentId(Long parentId){
        this.parentId = parentId;
    }
    /**
     * 获取 行业名称
     * @return String
     */
    public String getIndustryName(){
        return industryName;
    }
    /**
     * 设置 行业名称
     * @param industryName
     */
    public void setIndustryName(String industryName){
        this.industryName = industryName;
    }
    /**
     * 获取 站点id
     * @return Long
     */
    public Long getSiteId(){
        return siteId;
    }
    /**
     * 设置 站点id
     * @param siteId
     */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CertificateIndustryEntity) {
            CertificateIndustryEntity tmp = (CertificateIndustryEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",parentId:").append(getParentId());
        sb.append(",industryName:").append(getIndustryName());
        sb.append(",siteId:").append(getSiteId());
        return sb.toString();
    }

    public void initAttrValue(){

        this.parentId = null;

        this.industryName = "";

        this.siteId = null;
    }
}