package com.mortals.xhx.module.record.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.record.model.PrintWaitQueueEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 证照打印记录视图对象
*
* @author zxfei
* @date 2022-10-22
*/
@Data
public class PrintWaitQueueVo extends BaseEntityLong {

    /**
     * 打印服务网络地址
     */
    private String printerServiceUrl;
    /**
     * 打印机名称
     */
    private String printerName;
    /**
     * 打印机网络地址
     */
    private String printerIp;
    /**
     * 打印机纸盒
     */
    private String paperSource;
}